Package org.eclipse.m2m.atl.common.ATL

# Class MatchedRule

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.m2m.atl.common.ATL.LocatedElement
org.eclipse.m2m.atl.common.ATL.ModuleElement
org.eclipse.m2m.atl.common.ATL.Rule
org.eclipse.m2m.atl.common.ATL.MatchedRule

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`

Direct Known Subclasses:
  `LazyMatchedRule`

public class MatchedRule extends Rule
A representation of the model object 'Matched Rule'.

The following features are supported:

- `In Pattern`
- `Children`
- `Super Rule`
- `Is Abstract`
- `Is Refining`
- `Is No Default`

See Also:
  - `ATLPackage.getMatchedRule()`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.eclipse.emf.common.util.EList<MatchedRule>`
`children`
The cached value of the '`Children`' reference list.
`protected InPattern`
`inPattern`
The cached value of the '`In Pattern`' containment reference.
`protected static final boolean`
`IS_ABSTRACT_EDEFAULT`
The default value of the '`Is Abstract`' attribute.
`protected static final boolean`
`IS_NO_DEFAULT_EDEFAULT`
The default value of the '`Is No Default`' attribute.
`protected static final boolean`
`IS_REFINING_EDEFAULT`
The default value of the '`Is Refining`' attribute.
`protected boolean`
`isAbstract`
The cached value of the '`Is Abstract`' attribute.
`protected boolean`
`isNoDefault`
The cached value of the '`Is No Default`' attribute.
`protected boolean`
`isRefining`
The cached value of the '`Is Refining`' attribute.
`protected MatchedRule`
`superRule`
The cached value of the '`Super Rule`' reference.

### Fields inherited from class org.eclipse.m2m.atl.common.ATL.Rule

`actionBlock, name, NAME_EDEFAULT, outPattern, variables`

### Fields inherited from class org.eclipse.m2m.atl.common.ATL.LocatedElement

`commentsAfter, commentsBefore, location, LOCATION_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MatchedRule()`

## Method Summary

Modifier and Type
Method
Description
`MatchedRule`
`basicGetSuperRule()`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetInPattern(InPattern newInPattern, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetSuperRule(MatchedRule newSuperRule, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<MatchedRule>`
`getChildren()`
Returns the value of the 'Children' reference list.
`InPattern`
`getInPattern()`
Returns the value of the 'In Pattern' containment reference.
`MatchedRule`
`getSuperRule()`
Returns the value of the 'Super Rule' reference.
`boolean`
`isIsAbstract()`
Returns the value of the 'Is Abstract' attribute.
`boolean`
`isIsNoDefault()`
Returns the value of the 'Is No Default' attribute.
`boolean`
`isIsRefining()`
Returns the value of the 'Is Refining' attribute.
`void`
`setInPattern(InPattern newInPattern)`
Sets the value of the '`In Pattern`' containment reference.
`void`
`setIsAbstract(boolean newIsAbstract)`
Sets the value of the '`Is Abstract`' attribute.
`void`
`setIsNoDefault(boolean newIsNoDefault)`
Sets the value of the '`Is No Default`' attribute.
`void`
`setIsRefining(boolean newIsRefining)`
Sets the value of the '`Is Refining`' attribute.
`void`
`setSuperRule(MatchedRule newSuperRule)`
Sets the value of the '`Super Rule`' reference.
`String`
`toString()`

### Methods inherited from class org.eclipse.m2m.atl.common.ATL.Rule

`basicSetActionBlock, basicSetOutPattern, getActionBlock, getName, getOutPattern, getVariables, setActionBlock, setName, setOutPattern`

### Methods inherited from class org.eclipse.m2m.atl.common.ATL.ModuleElement

`basicSetModule, eBasicRemoveFromContainerFeature, getModule, setModule`

### Methods inherited from class org.eclipse.m2m.atl.common.ATL.LocatedElement

`getCommentsAfter, getCommentsBefore, getLocation, setLocation`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### inPattern

protected InPattern inPattern
The cached value of the '`In Pattern`' containment reference.

See Also:
  - `getInPattern()`

### children

protected org.eclipse.emf.common.util.EList<MatchedRule> children
The cached value of the '`Children`' reference list.

See Also:
  - `getChildren()`

### superRule

protected MatchedRule superRule
The cached value of the '`Super Rule`' reference.

See Also:
  - `getSuperRule()`

### IS_ABSTRACT_EDEFAULT

protected static final boolean IS_ABSTRACT_EDEFAULT
The default value of the '`Is Abstract`' attribute.

See Also:
  - `isIsAbstract()`
  - Constant Field Values

### isAbstract

protected boolean isAbstract
The cached value of the '`Is Abstract`' attribute.

See Also:
  - `isIsAbstract()`

### IS_REFINING_EDEFAULT

protected static final boolean IS_REFINING_EDEFAULT
The default value of the '`Is Refining`' attribute.

See Also:
  - `isIsRefining()`
  - Constant Field Values

### isRefining

protected boolean isRefining
The cached value of the '`Is Refining`' attribute.

See Also:
  - `isIsRefining()`

### IS_NO_DEFAULT_EDEFAULT

protected static final boolean IS_NO_DEFAULT_EDEFAULT
The default value of the '`Is No Default`' attribute.

See Also:
  - `isIsNoDefault()`
  - Constant Field Values

### isNoDefault

protected boolean isNoDefault
The cached value of the '`Is No Default`' attribute.

See Also:
  - `isIsNoDefault()`

## Constructor Details

### MatchedRule

protected MatchedRule()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `Rule`

### getInPattern

public InPattern getInPattern()
Returns the value of the 'In Pattern' containment reference. It is bidirectional and its opposite is '`Rule`'.

If the meaning of the 'In Pattern' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'In Pattern' containment reference.
See Also:
  - `setInPattern(InPattern)`
  - `ATLPackage.getMatchedRule_InPattern()`
  - `InPattern.getRule()`

### basicSetInPattern

public org.eclipse.emf.common.notify.NotificationChain basicSetInPattern(InPattern newInPattern, org.eclipse.emf.common.notify.NotificationChain msgs)

### setInPattern

public void setInPattern(InPattern newInPattern)
Sets the value of the '`In Pattern`' containment reference.

Parameters:
  `value` - the new value of the 'In Pattern' containment reference.
See Also:
  - `getInPattern()`

### getChildren

public org.eclipse.emf.common.util.EList<MatchedRule> getChildren()
Returns the value of the 'Children' reference list. The list contents are of type `MatchedRule`. It is bidirectional and its opposite is '`Super Rule`'.

If the meaning of the 'Children' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Children' reference list.
See Also:
  - `ATLPackage.getMatchedRule_Children()`
  - `getSuperRule()`

### getSuperRule

public MatchedRule getSuperRule()
Returns the value of the 'Super Rule' reference. It is bidirectional and its opposite is '`Children`'.

If the meaning of the 'Super Rule' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Super Rule' reference.
See Also:
  - `setSuperRule(MatchedRule)`
  - `ATLPackage.getMatchedRule_SuperRule()`
  - `getChildren()`

### basicGetSuperRule

public MatchedRule basicGetSuperRule()

### basicSetSuperRule

public org.eclipse.emf.common.notify.NotificationChain basicSetSuperRule(MatchedRule newSuperRule, org.eclipse.emf.common.notify.NotificationChain msgs)

### setSuperRule

public void setSuperRule(MatchedRule newSuperRule)
Sets the value of the '`Super Rule`' reference.

Parameters:
  `value` - the new value of the 'Super Rule' reference.
See Also:
  - `getSuperRule()`

### isIsAbstract

public boolean isIsAbstract()
Returns the value of the 'Is Abstract' attribute.

If the meaning of the 'Is Abstract' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Is Abstract' attribute.
See Also:
  - `setIsAbstract(boolean)`
  - `ATLPackage.getMatchedRule_IsAbstract()`

### setIsAbstract

public void setIsAbstract(boolean newIsAbstract)
Sets the value of the '`Is Abstract`' attribute.

Parameters:
  `value` - the new value of the 'Is Abstract' attribute.
See Also:
  - `isIsAbstract()`

### isIsRefining

public boolean isIsRefining()
Returns the value of the 'Is Refining' attribute.

If the meaning of the 'Is Refining' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Is Refining' attribute.
See Also:
  - `setIsRefining(boolean)`
  - `ATLPackage.getMatchedRule_IsRefining()`

### setIsRefining

public void setIsRefining(boolean newIsRefining)
Sets the value of the '`Is Refining`' attribute.

Parameters:
  `value` - the new value of the 'Is Refining' attribute.
See Also:
  - `isIsRefining()`

### isIsNoDefault

public boolean isIsNoDefault()
Returns the value of the 'Is No Default' attribute.

If the meaning of the 'Is No Default' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Is No Default' attribute.
See Also:
  - `setIsNoDefault(boolean)`
  - `ATLPackage.getMatchedRule_IsNoDefault()`

### setIsNoDefault

public void setIsNoDefault(boolean newIsNoDefault)
Sets the value of the '`Is No Default`' attribute.

Parameters:
  `value` - the new value of the 'Is No Default' attribute.
See Also:
  - `isIsNoDefault()`

### eInverseAdd

public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `Rule`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `Rule`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `Rule`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `Rule`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `Rule`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `Rule`

### toString

public String toString()

Overrides:
  `toString` in class `Rule`